Download it now!
Bug 65650 - load numbered list instead of the correct bullet list
Summary: load numbered list instead of the correct bullet list
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: odf target:4.2.0 target:4.1.0.2 targe...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-06-11 12:50 UTC by László Németh
Modified: 2013-12-15 23:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (5.58 KB, application/vnd.oasis.opendocument.text)
2013-06-11 12:50 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2013-06-11 12:50:21 UTC
Created attachment 80687 [details]
Test file

Bullet lists in exported ODT files from Google Docs are numbering lists in Writer 4.0.3.3.
Comment 1 László Németh 2013-06-11 12:53:28 UTC
Testing: open the attached test file in eg. LibreOffice 3.5.7, and LibreOffice 4.0.3.3. The bullet list of the test file will be numbered list in LibO 4.0.3.3.
Comment 2 Michael Stahl (CIB) 2013-07-01 22:01:53 UTC
broke in 3.6...

bibisect says 5708f2bfa70db0479ddbf9b454329cd81e0f509d..33f5acad371bcf838011b3629450e6dcd405a4e9

... this one did it:

commit abf18610998aa8330f8330f1d769508e47ef5b20
Author:     Luboš Luňák <l.lunak@suse.cz>
AuthorDate: Wed Apr 25 17:16:19 2012 +0200

    decrypt code a bit
    
    This should be technically the same like before, only the next one
    to read this will hopefully get less confused than I did.

... ah well ...

so the problem is that the bugdoc contains a fo:color attribute on
the list text:list-level-style-bullet element (or rather its nested
style:text-properties) and this results in trying to set BulletColor
property but the above commit changes things so that an exception
is thrown now so the whole list level style is discarded.

fixed on master
Comment 3 Commit Notification 2013-07-01 22:04:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0520eaf9e661abddadf9a21cfbeab37b0b85dd68

fdo#65650: fix Writer ODF import of list style with bullets and color



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-07-02 07:27:50 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc53b5cb942726a878f4950509e42eb9b312017a&h=libreoffice-4-1

fdo#65650: fix Writer ODF import of list style with bullets and color


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-07-02 07:28:48 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=824709ee13269ab8406fc460d5a6a42fa0741fb2&h=libreoffice-4-0

fdo#65650: fix Writer ODF import of list style with bullets and color


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-07-08 13:32:20 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba560864b61fdfee32018751335d638a6affe12f&h=libreoffice-3-6-7

fdo#65650: fix Writer ODF import of list style with bullets and color


It will be available already in LibreOffice 3.6.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-07-09 10:57:14 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b059b034753ecaf611ed761591a0d6c5ea16fef1&h=libreoffice-3-6

fdo#65650: fix Writer ODF import of list style with bullets and color


It will be available in LibreOffice 3.6.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 László Németh 2013-07-09 13:07:09 UTC
michael: many thanks for the fix!